Package gov.nasa.gsfc.sscweb.schema

# Class DistanceFromOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.DistanceFromOptions

public class DistanceFromOptions extends Object
"Distance from" listing options. <p>Java class for DistanceFromOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="DistanceFromOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="NeutralSheet" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="BowShock" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="MPause" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="BGseXYZ" type="{http://www.w3.org/2001/XMLSchema}boolean"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `bGseXYZ`
  Specifies that the magnetic field strength in the GSE XYZ directions are to be included in the output.
  `protected boolean`
  `bowShock`
  Specifies whether the distance between the spacecraft and the bow shock is to be included in the output.
  `protected boolean`
  `mPause`
  Specifies whether the distance between the spacecraft and the magnetopause is to be included in the output.
  `protected boolean`
  `neutralSheet`
  Specifies whether the distance between the spacecraft and the neutral sheet is to be included in the output.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistanceFromOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isBGseXYZ()`
  Specifies that the magnetic field strength in the GSE XYZ directions are to be included in the output.
  `boolean`
  `isBowShock()`
  Specifies whether the distance between the spacecraft and the bow shock is to be included in the output.
  `boolean`
  `isMPause()`
  Specifies whether the distance between the spacecraft and the magnetopause is to be included in the output.
  `boolean`
  `isNeutralSheet()`
  Specifies whether the distance between the spacecraft and the neutral sheet is to be included in the output.
  `void`
  `setBGseXYZ(boolean value)`
  Sets the value of the bGseXYZ property.
  `void`
  `setBowShock(boolean value)`
  Sets the value of the bowShock property.
  `void`
  `setMPause(boolean value)`
  Sets the value of the mPause property.
  `void`
  `setNeutralSheet(boolean value)`
  Sets the value of the neutralSheet property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### neutralSheet

    protected boolean neutralSheet
    Specifies whether the distance between the spacecraft and the neutral sheet is to be included in the output.

  - ### bowShock

    protected boolean bowShock
    Specifies whether the distance between the spacecraft and the bow shock is to be included in the output.

  - ### mPause

    protected boolean mPause
    Specifies whether the distance between the spacecraft and the magnetopause is to be included in the output.

  - ### bGseXYZ

    protected boolean bGseXYZ
    Specifies that the magnetic field strength in the GSE XYZ directions are to be included in the output.

- ## Constructor Details

  - ### DistanceFromOptions

    public DistanceFromOptions()

- ## Method Details

  - ### isNeutralSheet

    public boolean isNeutralSheet()
    Specifies whether the distance between the spacecraft and the neutral sheet is to be included in the output.

  - ### setNeutralSheet

    public void setNeutralSheet(boolean value)
    Sets the value of the neutralSheet property.

  - ### isBowShock

    public boolean isBowShock()
    Specifies whether the distance between the spacecraft and the bow shock is to be included in the output.

  - ### setBowShock

    public void setBowShock(boolean value)
    Sets the value of the bowShock property.

  - ### isMPause

    public boolean isMPause()
    Specifies whether the distance between the spacecraft and the magnetopause is to be included in the output.

  - ### setMPause

    public void setMPause(boolean value)
    Sets the value of the mPause property.

  - ### isBGseXYZ

    public boolean isBGseXYZ()
    Specifies that the magnetic field strength in the GSE XYZ directions are to be included in the output.

  - ### setBGseXYZ

    public void setBGseXYZ(boolean value)
    Sets the value of the bGseXYZ property.